Bug 622897 - gnome-terminal wrongly detects "system fixed width font"
Summary: gnome-terminal wrongly detects "system fixed width font"
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-terminal   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 18:02 UTC by Chris Bredesen
Modified: 2012-07-20 13:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-20 13:29:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Shows discrepancy between font settings (151.96 KB, image/png)
2010-08-10 18:02 UTC, Chris Bredesen
no flags Details

Description Chris Bredesen 2010-08-10 18:02:24 UTC
Created attachment 437957 [details]
Shows discrepancy between font settings

Description of problem:

gnome-terminal detects the system fixed-width font as "Monospace | 12" when in fact my system fixed-width font is "Liberation Mono | 11".


Version-Release number of selected component (if applicable):

gnome-terminal.i686 2.30.1-1.fc13


How reproducible:

Always.


Steps to Reproduce:
1. Set the monospace font in GNOME's appearance preferences dialog.
2. Open the gnome-terminal profile editor and check "use system fixed width font".
  

Actual results:

system fixed width font Monospace 12


Expected results:

system fixed width font is set to whatever was configured in step 1 above.

Comment 1 Fedora Admin XMLRPC Client 2012-01-10 15:49:16 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2012-01-10 15:51:04 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Chris Bredesen 2012-07-20 13:29:55 UTC
I believe this is actually a non-issue. When the aforementioned checkbox is active, gnome-terminal does not actually reflect the system font in its greyed out state. Closing notabug.


Note You need to log in before you can comment on or make changes to this bug.